"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/colours/css');
const css_3 = require('../../css/buttons/css');
class Button extends React.Component {
    render() {
        let css = new css_1.CssClassList(css_3.btn.btn);
        css.add(this.props.className || '');
        css.add(css_3.btn[this.props.color || css_2.colours.blue]);
        if (this.props.block)
            css.add(css_3.btn.block);
        if (this.props.hollow)
            css.add(css_3.btn.hollow);
        if (this.props.icon)
            css.add(css_3.btn.icon);
        if (this.props.rounded)
            css.add(css_3.btn.rounded);
        return (React.createElement("a", {className: css.toString(), onClick: this.props.onClick, onTouchEnd: this.props.onTouchEnd, onTouchStart: this.props.onTouchStart, title: this.props.title}, 
            this.props.icon ? React.createElement("i", {className: `btn__icon ${this.props.icon}`}) : null, 
            this.props.children));
    }
}
exports.Button = Button;
