"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/lists/css');
const button_1 = require('./button');
class ButtonListItem extends React.Component {
    render() {
        let color = this.props.current ? this.props.current : this.props.color;
        return (React.createElement(button_1.Button, {block: this.props.block, color: color, hollow: this.props.hollow, icon: this.props.icon, onClick: this.props.onClick, onTouchEnd: this.props.onTouchEnd, onTouchStart: this.props.onTouchStart}, this.props.children));
    }
}
exports.ButtonListItem = ButtonListItem;
class ButtonList extends React.Component {
    render() {
        let _css = new css_1.CssClassList(css_2.list.list);
        if (this.props.indented)
            _css.add(css_2.list.indented);
        if (this.props.vertical)
            _css.add(css_2.list.vertical);
        _css.add(this.props.className || '');
        return (React.createElement("div", {className: _css.toString()}, this.props.children));
    }
}
ButtonList.Item = ButtonListItem;
exports.ButtonList = ButtonList;
