"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/cards/css');
const css_3 = require('../../css/colours/css');
class CardHeader extends React.Component {
    render() {
        let _css = new css_1.CssClassList(css_2.card.header.header);
        let _style = {};
        _css.add(css_2.card.header[this.props.color || css_3.colours.blue]);
        _css.add(this.props.className || '');
        if (this.props.tall)
            _css.add(css_2.card.header.tall);
        if (this.props.image)
            _style.backgroundImage = this.props.image;
        return (React.createElement("header", {className: _css.toString(), style: _style}, this.props.children));
    }
}
exports.CardHeader = CardHeader;
class Card extends React.Component {
    render() {
        return (React.createElement("article", {className: css_2.card.card}, 
            !this.props.hideHeader ?
                React.createElement(CardHeader, {color: this.props.color, className: this.props.headerClassName, image: this.props.headerImage}, this.props.title)
                : null, 
            this.props.beforeContent, 
            React.createElement("div", {className: css_2.card.content}, this.props.children), 
            this.props.afterContent, 
            this.props.footer ?
                React.createElement("footer", {className: css_2.card.footer}, this.props.footer)
                : null));
    }
}
Card.Header = CardHeader;
exports.Card = Card;
