"use strict";
const css_1 = require('../../css/colours/css');
const css_2 = require('../../utilities/css');
const css_3 = require('../../css/dialog/css');
const font_icon_1 = require('../icons/font-icon');
class Dialog extends React.Component {
    render() {
        let _css = new css_2.CssClassList(css_3.dialog.dialog);
        let _cssModal = new css_2.CssClassList(css_3.dialog.overlay.overlay);
        _css.add(css_3.dialog[this.props.colour || css_1.colours.blue]);
        if (this.props.fullSize)
            _css.add(css_3.dialog.fullSize);
        if (this.props.position && this.props.position.length)
            _css.add(css_3.dialog[this.props.position]);
        if (this.props.visible)
            _css.add(css_3.dialog.visible);
        if (this.props.visible)
            _cssModal.add(css_3.dialog.overlay.visible);
        return (React.createElement("div", null, 
            React.createElement("section", {className: _css.toString()}, 
                React.createElement("header", {className: css_3.dialog.dialog__header}, 
                    this.props.title, 
                    " ", 
                    React.createElement(font_icon_1.FontIcon, {icon: this.props.closeIcon})), 
                React.createElement("div", {className: css_3.dialog.dialog__content}, this.props.children), 
                this.props.footer ? React.createElement("footer", {className: css_3.dialog.dialog__footer}, this.props.footer) : null), 
            this.props.modal ? React.createElement("div", {className: _cssModal.toString()}) : null));
    }
}
exports.Dialog = Dialog;
