"use strict";
const css_1 = require('../../utilities/css');
const css_2 = require('../../css/colours/css');
const css_3 = require('../../css/form/checkbox/css');
const css_4 = require('../../css/form/radio/css');
class Checkbox extends React.Component {
    onchange(event) {
        this.props.onChange(event);
    }
    render() {
        let _css = new css_1.CssClassList(css_3.checkbox.checkbox);
        let _inputType = this.props.type === 'checkbox' || this.props.type === 'radio' ? this.props.type : 'checkbox';
        _css.add(css_3.checkbox[this.props.color || css_2.colours.blue]);
        return (React.createElement("label", {className: _css.toString()}, 
            React.createElement("input", {checked: this.props.checked, name: this.props.name, onChange: this.onchange.bind(this), type: _inputType}), 
            React.createElement("span", null, this.props.children)));
    }
}
exports.Checkbox = Checkbox;
class Radio extends Checkbox {
    render() {
        let _css = new css_1.CssClassList(css_4.radio.radio);
        _css.add(css_4.radio[this.props.color || css_2.colours.blue]);
        return (React.createElement("label", {className: _css.toString()}, 
            React.createElement("input", {checked: this.props.checked, name: this.props.name, onChange: this.onchange.bind(this), type: "radio", value: this.props.checked}), 
            React.createElement("span", null, this.props.children)));
    }
}
exports.Radio = Radio;
