"use strict";
const css_1 = require('../../css/colours/css');
const css_2 = require('../../utilities/css');
const css_3 = require('../../css/notifications/popup/css');
class Popup extends React.Component {
    render() {
        let _css = new css_2.CssClassList(css_3.popup.popup);
        _css.add(css_3.popup[this.props.color || css_1.colours.blue]);
        if (this.props.hidden)
            _css.add(css_3.popup.hidden);
        if (this.props.rounded)
            _css.add(css_3.popup.rounded);
        return (React.createElement("div", null, 
            React.createElement("div", {className: _css.toString()}, 
                React.createElement("div", {className: css_3.popup.popup__text}, this.props.text), 
                " ", 
                this.props.children), 
            this.props.modal ? React.createElement("div", {className: css_3.popup.modal}) : null));
    }
}
exports.Popup = Popup;
