import { capitalizeFirst } from '../../utilities/string';
import { CssClassList } from '../../utilities/css';
import * as pushNotifications from 'ride-components/dist/ts/css/push-notifications';

export interface IPushNotificationsProps {
  /**
   * the position for the popup
   */
  position?: string;
  /**
   * Adds styles to the component
   */
  style?: React.CSSProperties;
}

export class PushNotifications extends React.Component<IPushNotificationsProps, any> {
  public render() {
    let css = new CssClassList(pushNotifications.pushNotifications);
    css.add(
      this.props.position
      ? pushNotifications + capitalizeFirst(this.props.position)
      : pushNotifications.pushNotificationsBottomLeft
    );

    return (
      <section style={this.props.style}>
        {this.props.children}
      </section>
    )
  }
}
