"use strict";
const css_1 = require('../../css/css');
const button_1 = require('../buttons/button');
const list_1 = require('../lists/list');
class Tabs extends React.Component {
    constructor(props) {
        super(props);
        if (!this.props.buttons)
            throw new Error('Tabs: missing button property. It must be an Array<string>.');
        this.state = { current: this.props.selected || this.props.buttons[0] };
    }
    getCurrentCss(name) {
        return this.isCurrent(name) ? (this.props.buttonActiveColor || css_1.colours.blue) : (this.props.buttonColor || css_1.colours.gray);
    }
    isCurrent(name) {
        return this.state.current === name;
    }
    setAsCurrent(name) {
        this.state.current = name;
        this.setState(this.state);
    }
    render() {
        return (React.createElement("div", {hidden: this.props.hidden}, 
            React.createElement(list_1.List, {center: true, indented: false, vertical: this.props.vertical}, this.props.buttons.map((button, index) => React.createElement(list_1.List.Item, {key: index}, 
                React.createElement(button_1.Button, {onClick: this.setAsCurrent.bind(this, button), color: this.getCurrentCss.bind(this)(button)}, button)
            ))), 
            React.createElement(list_1.List, {indented: false, vertical: true, unpadded: true}, this.props.buttons.map((tab, index) => this.isCurrent.bind(this)(this.props.buttons[index]) ?
                React.createElement(list_1.List.Item, {key: index}, this.props.children ?
                    Array.isArray(this.props.children) ? this.props.children[index] : this.props.children : null)
                : null))));
    }
}
exports.Tabs = Tabs;
