"use strict";
function clone(object) {
    let _object;
    _object = {};
    Object.keys(object).forEach((key) => _object[key] = object[key]);
    return _object;
}
class Store {
    constructor(data) {
        this._history = [];
        this._data = clone(data);
        this._history.push(this._data);
        this._initial = clone(data);
    }
    _store() {
        this._history.push(this._data);
    }
    _storeRollback() {
        let _canRollback = this._history.length > 1;
        if (_canRollback) {
            let _lastEntry = this._history[this._history.length - 1];
            this._update(_lastEntry);
        }
    }
    _update(data) {
        Object.keys(data).forEach(_key => this._data[_key] = data[_key]);
    }
    clone() {
        return new Store(this.get());
    }
    get() {
        return this._data;
    }
    reset() {
        this._data = clone(this._initial);
    }
    rollback() {
        this._storeRollback();
    }
    update(data) {
        this._update(data);
        this._store();
    }
    updateStrict(data) {
        Object.keys(data).forEach(_key => { if (this._initial[_key])
            this._data[_key] = data[_key]; });
        this._store();
    }
}
exports.Store = Store;
